configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(Lexesis-backends
    backends/cpp.cpp
    )

add_executable(Lexesis
    main.cpp
    automata.cpp
    backend.cpp
    backendmanager.cpp
    re.cpp
    inputparser.cpp
    template.cpp
    )
target_link_libraries(Lexesis Lexesis-backends mstch::mstch)

install(TARGETS Lexesis
    RUNTIME DESTINATION bin
    )
